com.thinkaurelius.titan.graphdb.internal

## Enum TitanSchemaCategory

- java.lang.Object
- - java.lang.Enum<TitanSchemaCategory>
  - - com.thinkaurelius.titan.graphdb.internal.TitanSchemaCategory

- All Implemented Interfaces:
    Serializable, Comparable<TitanSchemaCategory>

      public enum TitanSchemaCategory
      extends Enum<TitanSchemaCategory>

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EDGELABEL`
    `GRAPHINDEX`
    `PROPERTYKEY`
    `TYPE_MODIFIER`
    `VERTEXLABEL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getName(String schemaName)`
    `static String` | `getRelationTypeName(String name)`
    `String` | `getSchemaName(String name)`
    `boolean` | `hasName()`
    `boolean` | `isRelationType()`
    `static TitanSchemaCategory` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TitanSchemaCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
    `void` | `verifyValidDefinition(TypeDefinitionMap definition)`

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EDGELABEL

          public static final TitanSchemaCategory EDGELABEL

    - #### PROPERTYKEY

          public static final TitanSchemaCategory PROPERTYKEY

    - #### VERTEXLABEL

          public static final TitanSchemaCategory VERTEXLABEL

    - #### GRAPHINDEX

          public static final TitanSchemaCategory GRAPHINDEX

    - #### TYPE_MODIFIER

          public static final TitanSchemaCategory TYPE_MODIFIER

  - ### Method Detail

    - #### values

          public static TitanSchemaCategory[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TitanSchemaCategory c : TitanSchemaCategory.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TitanSchemaCategory valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isRelationType

          public boolean isRelationType()

    - #### hasName

          public boolean hasName()

    - #### getSchemaName

          public String getSchemaName(String name)

    - #### getRelationTypeName

          public static String getRelationTypeName(String name)

    - #### getName

          public static String getName(String schemaName)

    - #### verifyValidDefinition

          public void verifyValidDefinition(TypeDefinitionMap definition)

Copyright © 2012–2014. All rights reserved.